## grub 0.5.93.1

=== netboot/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${datadir}/info
mandir = ${datadir}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/grub
pkglibdir = $(libdir)/grub
pkgincludedir = $(includedir)/grub

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-linux
host_triplet = i386-pc-linux-gnu
AMTAR = tar
AMTARFLAGS = o
AWK = mawk
CC = gcc
FSYS_CFLAGS =  -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1
GRUB_CFLAGS = -O2
GRUB_LIBS =  -lncurses
MAINT = #
MAKEINFO = makeinfo
NET_CFLAGS = 
NET_EXTRAFLAGS =  -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000
OBJCOPY = objcopy
PACKAGE = grub
PERL = 
RANLIB = ranlib
STAGE1_CFLAGS = -O2
STAGE2_CFLAGS = -O2 -fno-strength-reduce -fno-unroll-loops
VERSION = 0.5.93.1
host_cpu = i386
host_vendor = pc
install_sh = /src/debian/grub/grub-0.5.93.1/install-sh

# For <stage1.h>.


INCLUDES = -I$(top_srcdir)/stage1
#LIBDRIVERS = #libdrivers.a
LIBDRIVERS = 

noinst_LIBRARIES = $(LIBDRIVERS)

DRIVERS = 3c509.c 3c509.h 3c59x.c cs89x0.c cs89x0.h eepro100.c \
	lance.c ns8390.c ns8390.h


libdrivers_a_SOURCES = byteorder.h config.c netboot_config.h \
	fsys_tftp.c if.h io.h ip.c ip.h netboot.h netdevice.h nic.h \
	pci.c pci.h $(DRIVERS)

libdrivers_a_CFLAGS = $(STAGE2_CFLAGS) -fno-builtin -nostdinc \
	-DFSYS_TFTP $(NET_CFLAGS) $(NET_EXTRAFLAGS)

subdir = netboot
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS =  -Wall -Wmissing-prototypes -Wunused
LDFLAGS = 
LIBS = 
libdrivers_a_AR = $(AR) cru
libdrivers_a_LIBADD = 
am_libdrivers_a_OBJECTS =  libdrivers_a-config.o \
libdrivers_a-fsys_tftp.o libdrivers_a-ip.o libdrivers_a-pci.o \
libdrivers_a-3c509.o libdrivers_a-3c59x.o libdrivers_a-cs89x0.o \
libdrivers_a-eepro100.o libdrivers_a-lance.o libdrivers_a-ns8390.o
libdrivers_a_OBJECTS =  $(am_libdrivers_a_OBJECTS)
AR = ar
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CFLAGS = -g
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES =  $(libdrivers_a_SOURCES)
DIST_COMMON =  Makefile.am Makefile.in compile


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
DEP_FILES =  .deps/3c509.P .deps/3c59x.P .deps/config.P .deps/cs89x0.P \
.deps/eepro100.P .deps/fsys_tftp.P .deps/ip.P .deps/lance.P \
.deps/ns8390.P .deps/pci.P
SOURCES = $(libdrivers_a_SOURCES)
OBJECTS = $(am_libdrivers_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .c .h .o
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu netboot/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:
libdrivers_a-config.o: config.c
libdrivers_a-fsys_tftp.o: fsys_tftp.c
libdrivers_a-ip.o: ip.c
libdrivers_a-pci.o: pci.c
libdrivers_a-3c509.o: 3c509.c
libdrivers_a-3c59x.o: 3c59x.c
libdrivers_a-cs89x0.o: cs89x0.c
libdrivers_a-eepro100.o: eepro100.c
libdrivers_a-lance.o: lance.c
libdrivers_a-ns8390.o: ns8390.c

libdrivers.a: $(libdrivers_a_OBJECTS) $(libdrivers_a_DEPENDENCIES)
	-rm -f libdrivers.a
	$(libdrivers_a_AR) libdrivers.a $(libdrivers_a_OBJECTS) $(libdrivers_a_LIBADD)
	$(RANLIB) libdrivers.a
.c.o:
	$(COMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu netboot/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c -o $@ $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm .deps/$(*D)/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c -o $@ $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*D)/$(*F).pp > .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm -f .deps/$(*D)/$(*F).pp

libdrivers_a-config.o: config.c
	@echo '$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm .deps/$(*D)/$(*F).pp

libdrivers_a-config.lo: config.c
	@echo '$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*D)/$(*F).pp > .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm -f .deps/$(*D)/$(*F).pp

libdrivers_a-fsys_tftp.o: fsys_tftp.c
	@echo '$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm .deps/$(*D)/$(*F).pp

libdrivers_a-fsys_tftp.lo: fsys_tftp.c
	@echo '$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*D)/$(*F).pp > .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm -f .deps/$(*D)/$(*F).pp

libdrivers_a-ip.o: ip.c
	@echo '$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm .deps/$(*D)/$(*F).pp

libdrivers_a-ip.lo: ip.c
	@echo '$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*D)/$(*F).pp > .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm -f .deps/$(*D)/$(*F).pp

libdrivers_a-pci.o: pci.c
	@echo '$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm .deps/$(*D)/$(*F).pp

libdrivers_a-pci.lo: pci.c
	@echo '$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*D)/$(*F).pp > .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*D)/$(*F).P; \
	rm -f .deps/$(*D)/$(*F).pp

libdrivers_a-3c509.o: 3c509.c
	@echo '$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -c -o $@ $<'; \
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libdrivers_a_CFLAGS) $(CFLAGS) -Wp,-MD,.deps/$(*D)/$(*F).pp -c -o $@ $<
	@-cp .deps/$(*D)/$(*F).pp .deps/$(*D)/$(*F).P; \
	tr ' ' '\012' < .deps/$(*D)/$(*F).pp \

=== stage1/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${datadir}/info
mandir = ${datadir}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =
pkglibdir = $(libdir)/grub
pkgincludedir = $(includedir)/grub

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-linux
host_triplet = i386-pc-linux-gnu
AMTAR = tar
AMTARFLAGS = o
AWK = mawk
CC = gcc
FSYS_CFLAGS =  -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1
GRUB_CFLAGS = -O2
GRUB_LIBS =  -lncurses
MAINT = #
MAKEINFO = makeinfo
NET_CFLAGS = 
NET_EXTRAFLAGS =  -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000
OBJCOPY = objcopy
PACKAGE = grub
PERL = 
RANLIB = ranlib
STAGE1_CFLAGS = -O2
STAGE2_CFLAGS = -O2 -fno-strength-reduce -fno-unroll-loops
VERSION = 0.5.93.1
host_cpu = i386
host_vendor = pc
install_sh = /src/debian/grub/grub-0.5.93.1/install-sh


pkgdatadir = $(datadir)/$(PACKAGE)/$(host_cpu)-$(host_vendor)
nodist_pkgdata_DATA = stage1 stage1_lba

BUILT_SOURCES = stage2_size.h
CLEANFILES = $(nodist_pkgdata_DATA) $(BUILT_SOURCES)

# We can't use builtins or standard includes.
AM_CFLAGS = $(STAGE1_CFLAGS) -fno-builtin -nostdinc
LDFLAGS = -nostdlib -Wl,-N -Wl,-Ttext -Wl,7C00

noinst_PROGRAMS = stage1.exec stage1_lba.exec
stage1_exec_SOURCES = stage1.S stage1.h stage2_size.h
stage1_lba_exec_SOURCES = stage1_lba.S stage1.h stage2_size.h
subdir = stage1
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS =  -Wall -Wmissing-prototypes -Wunused
LIBS = 
am_stage1_exec_OBJECTS =  stage1.o
stage1_exec_OBJECTS =  $(am_stage1_exec_OBJECTS)
stage1_exec_LDADD = $(LDADD)
stage1_exec_DEPENDENCIES = 
stage1_exec_LDFLAGS = 
am_stage1_lba_exec_OBJECTS =  stage1_lba.o
stage1_lba_exec_OBJECTS =  $(am_stage1_lba_exec_OBJECTS)
stage1_lba_exec_LDADD = $(LDADD)
stage1_lba_exec_DEPENDENCIES = 
stage1_lba_exec_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CFLAGS = -g
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES =  $(stage1_exec_SOURCES) $(stage1_lba_exec_SOURCES)
DATA =  $(nodist_pkgdata_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
DEP_FILES =  .deps/stage1.P .deps/stage1_lba.P
SOURCES = $(stage1_exec_SOURCES) $(stage1_lba_exec_SOURCES)
OBJECTS = $(am_stage1_exec_OBJECTS) $(am_stage1_lba_exec_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .h .o
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu stage1/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

stage1.exec: $(stage1_exec_OBJECTS) $(stage1_exec_DEPENDENCIES)
	@rm -f stage1.exec
	$(LINK) $(stage1_exec_LDFLAGS) $(stage1_exec_OBJECTS) $(stage1_exec_LDADD) $(LIBS)

stage1_lba.exec: $(stage1_lba_exec_OBJECTS) $(stage1_lba_exec_DEPENDENCIES)
	@rm -f stage1_lba.exec
	$(LINK) $(stage1_lba_exec_LDFLAGS) $(stage1_lba_exec_OBJECTS) $(stage1_lba_exec_LDADD) $(LIBS)
.S.o:
	$(COMPILE) -c $<

install-nodist_pkgdataDATA: $(nodist_pkgdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	@list='$(nodist_pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
	done

uninstall-nodist_pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
	  rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu stage1/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-nodist_pkgdataDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-nodist_pkgdataDATA
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_STRIP_FLAG=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(nodist_pkgdatadir)


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile uninstall-nodist_pkgdataDATA \
install-nodist_pkgdataDATA tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all install-strip \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


stage2_size.h: ../stage2/stage2
	-rm -f stage2_size.h
	set dummy `ls -l ../stage2/stage2`; \
	echo "#define STAGE2_SIZE $$6" > stage2_size.h

%: %.exec
	$(OBJCOPY) -O binary $< $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== stage2/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${datadir}/info
mandir = ${datadir}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =
pkglibdir = $(libdir)/grub
pkgincludedir = $(includedir)/grub

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-linux
host_triplet = i386-pc-linux-gnu
AMTAR = tar
AMTARFLAGS = o
AWK = mawk
CC = gcc
FSYS_CFLAGS =  -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1
GRUB_CFLAGS = -O2
GRUB_LIBS =  -lncurses
MAINT = #
MAKEINFO = makeinfo
NET_CFLAGS = 
NET_EXTRAFLAGS =  -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000
OBJCOPY = objcopy
PACKAGE = grub
PERL = 
RANLIB = ranlib
STAGE1_CFLAGS = -O2
STAGE2_CFLAGS = -O2 -fno-strength-reduce -fno-unroll-loops
VERSION = 0.5.93.1
host_cpu = i386
host_vendor = pc
install_sh = /src/debian/grub/grub-0.5.93.1/install-sh

# For test target.


TESTS = size_test
noinst_SCRIPTS = $(TESTS)

# For dist target.
noinst_HEADERS = apic.h defs.h dir.h disk_inode.h disk_inode_ffs.h \
        fat.h filesys.h freebsd.h fs.h i386-elf.h imgact_aout.h \
        mb_header.h mb_info.h pc_slice.h shared.h smp-imps.h

EXTRA_DIST = $(noinst_SCRIPTS)

# For <stage1.h>.
INCLUDES = -I$(top_srcdir)/stage1

# The library for /sbin/grub.
noinst_LIBRARIES = libgrub.a
libgrub_a_SOURCES = boot.c builtins.c common.c char_io.c cmdline.c \
	disk_io.c gunzip.c fsys_ffs.c fsys_ext2fs.c fsys_fat.c \
	fsys_minix.c stage2.c

libgrub_a_CFLAGS = $(GRUB_CFLAGS) -DGRUB_UTIL=1 -DFSYS_EXT2FS=1 \
	-DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1 -fwritable-strings


# Stage 2 and Stage 1.5's.
pkgdatadir = $(datadir)/$(PACKAGE)/$(host_cpu)-$(host_vendor)
nodist_pkgdata_DATA = stage2 e2fs_stage1_5 fat_stage1_5 ffs_stage1_5 \
	minix_stage1_5

CLEANFILES = $(nodist_pkgdata_DATA)
noinst_PROGRAMS = stage2.exec e2fs_stage1_5.exec fat_stage1_5.exec \
	ffs_stage1_5.exec minix_stage1_5.exec

MOSTLYCLEANFILES = $(noinst_PROGRAMS)

STAGE2_LINK = -nostdlib -Wl,-N -Wl,-Ttext -Wl,8000
STAGE2_COMPILE = $(STAGE2_CFLAGS) -fno-builtin -nostdinc

STAGE1_5_LINK = -nostdlib -Wl,-N -Wl,-Ttext -Wl,2000
STAGE1_5_COMPILE = $(STAGE2_COMPILE) -DNO_DECOMPRESSION=1 -DSTAGE1_5=1

# asm.S absolutely needs to come first!
# For stage2 target.
stage2_exec_SOURCES = asm.S bios.c boot.c builtins.c common.c \
	char_io.c cmdline.c disk_io.c gunzip.c fsys_ext2fs.c \
	fsys_fat.c fsys_ffs.c fsys_minix.c smp-imps.c stage2.c

stage2_exec_CFLAGS = $(STAGE2_COMPILE) $(FSYS_CFLAGS)
stage2_exec_LDFLAGS = $(STAGE2_LINK)

#stage2_exec_LDADD = #../netboot/libdrivers.a

# For e2fs_stage1_5 target.
e2fs_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_ext2fs.c bios.c

e2fs_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_EXT2FS=1 \
	-DNO_BLOCK_FILES=1

e2fs_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For fat_stage1_5 target.
fat_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_fat.c bios.c

fat_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_FAT=1
fat_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For ffs_stage1_5 target.
ffs_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_ffs.c bios.c


ffs_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_FFS=1 \
	-DNO_BLOCK_FILES=1

ffs_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For minix_stage1_5 target.
minix_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_minix.c bios.c

minix_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_MINIX=1 \
	-DNO_BLOCK_FILES=1

minix_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)
subdir = stage2
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS =  -Wall -Wmissing-prototypes -Wunused
LDFLAGS = 
LIBS = 
libgrub_a_AR = $(AR) cru
libgrub_a_LIBADD = 
am_libgrub_a_OBJECTS =  libgrub_a-boot.o libgrub_a-builtins.o \
libgrub_a-common.o libgrub_a-char_io.o libgrub_a-cmdline.o \
libgrub_a-disk_io.o libgrub_a-gunzip.o libgrub_a-fsys_ffs.o \
libgrub_a-fsys_ext2fs.o libgrub_a-fsys_fat.o libgrub_a-fsys_minix.o \
libgrub_a-stage2.o
libgrub_a_OBJECTS =  $(am_libgrub_a_OBJECTS)
AR = ar
PROGRAMS =  $(noinst_PROGRAMS)

am_e2fs_stage1_5_exec_OBJECTS =  e2fs_stage1_5_exec-asm.o \
e2fs_stage1_5_exec-common.o e2fs_stage1_5_exec-char_io.o \
e2fs_stage1_5_exec-disk_io.o e2fs_stage1_5_exec-stage1_5.o \
e2fs_stage1_5_exec-fsys_ext2fs.o e2fs_stage1_5_exec-bios.o
e2fs_stage1_5_exec_OBJECTS =  $(am_e2fs_stage1_5_exec_OBJECTS)
e2fs_stage1_5_exec_LDADD = $(LDADD)
e2fs_stage1_5_exec_DEPENDENCIES = 
am_fat_stage1_5_exec_OBJECTS =  fat_stage1_5_exec-asm.o \
fat_stage1_5_exec-common.o fat_stage1_5_exec-char_io.o \
fat_stage1_5_exec-disk_io.o fat_stage1_5_exec-stage1_5.o \
fat_stage1_5_exec-fsys_fat.o fat_stage1_5_exec-bios.o
fat_stage1_5_exec_OBJECTS =  $(am_fat_stage1_5_exec_OBJECTS)
fat_stage1_5_exec_LDADD = $(LDADD)
fat_stage1_5_exec_DEPENDENCIES = 
am_ffs_stage1_5_exec_OBJECTS =  ffs_stage1_5_exec-asm.o \
ffs_stage1_5_exec-common.o ffs_stage1_5_exec-char_io.o \
ffs_stage1_5_exec-disk_io.o ffs_stage1_5_exec-stage1_5.o \
ffs_stage1_5_exec-fsys_ffs.o ffs_stage1_5_exec-bios.o
ffs_stage1_5_exec_OBJECTS =  $(am_ffs_stage1_5_exec_OBJECTS)
ffs_stage1_5_exec_LDADD = $(LDADD)
ffs_stage1_5_exec_DEPENDENCIES = 
am_minix_stage1_5_exec_OBJECTS =  minix_stage1_5_exec-asm.o \
minix_stage1_5_exec-common.o minix_stage1_5_exec-char_io.o \
minix_stage1_5_exec-disk_io.o minix_stage1_5_exec-stage1_5.o \
minix_stage1_5_exec-fsys_minix.o minix_stage1_5_exec-bios.o
minix_stage1_5_exec_OBJECTS =  $(am_minix_stage1_5_exec_OBJECTS)
minix_stage1_5_exec_LDADD = $(LDADD)
minix_stage1_5_exec_DEPENDENCIES = 
am_stage2_exec_OBJECTS =  stage2_exec-asm.o stage2_exec-bios.o \
stage2_exec-boot.o stage2_exec-builtins.o stage2_exec-common.o \
stage2_exec-char_io.o stage2_exec-cmdline.o stage2_exec-disk_io.o \
stage2_exec-gunzip.o stage2_exec-fsys_ext2fs.o stage2_exec-fsys_fat.o \
stage2_exec-fsys_ffs.o stage2_exec-fsys_minix.o stage2_exec-smp-imps.o \
stage2_exec-stage2.o
stage2_exec_OBJECTS =  $(am_stage2_exec_OBJECTS)
#stage2_exec_DEPENDENCIES =  \
#../netboot/libdrivers.a
SCRIPTS =  $(noinst_SCRIPTS)

COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CFLAGS = -g
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES =  $(libgrub_a_SOURCES) $(e2fs_stage1_5_exec_SOURCES) \
$(fat_stage1_5_exec_SOURCES) $(ffs_stage1_5_exec_SOURCES) \
$(minix_stage1_5_exec_SOURCES) $(stage2_exec_SOURCES)
DATA =  $(nodist_pkgdata_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  $(noinst_HEADERS) Makefile.am Makefile.in compile


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
DEP_FILES =  .deps/asm.P .deps/bios.P .deps/boot.P .deps/builtins.P \
.deps/char_io.P .deps/cmdline.P .deps/common.P .deps/disk_io.P \
.deps/fsys_ext2fs.P .deps/fsys_fat.P .deps/fsys_ffs.P \
.deps/fsys_minix.P .deps/gunzip.P .deps/smp-imps.P .deps/stage1_5.P \
.deps/stage2.P
SOURCES = $(libgrub_a_SOURCES) $(e2fs_stage1_5_exec_SOURCES) $(fat_stage1_5_exec_SOURCES) $(ffs_stage1_5_exec_SOURCES) $(minix_stage1_5_exec_SOURCES) $(stage2_exec_SOURCES)
OBJECTS = $(am_libgrub_a_OBJECTS) $(am_e2fs_stage1_5_exec_OBJECTS) $(am_fat_stage1_5_exec_OBJECTS) $(am_ffs_stage1_5_exec_OBJECTS) $(am_minix_stage1_5_exec_OBJECTS) $(am_stage2_exec_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu stage2/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:
libgrub_a-boot.o: boot.c
libgrub_a-builtins.o: builtins.c
libgrub_a-common.o: common.c
libgrub_a-char_io.o: char_io.c
libgrub_a-cmdline.o: cmdline.c
libgrub_a-disk_io.o: disk_io.c
libgrub_a-gunzip.o: gunzip.c
libgrub_a-fsys_ffs.o: fsys_ffs.c
libgrub_a-fsys_ext2fs.o: fsys_ext2fs.c
libgrub_a-fsys_fat.o: fsys_fat.c
libgrub_a-fsys_minix.o: fsys_minix.c
libgrub_a-stage2.o: stage2.c

libgrub.a: $(libgrub_a_OBJECTS) $(libgrub_a_DEPENDENCIES)
	-rm -f libgrub.a
	$(libgrub_a_AR) libgrub.a $(libgrub_a_OBJECTS) $(libgrub_a_LIBADD)
	$(RANLIB) libgrub.a

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:
e2fs_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(e2fs_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o e2fs_stage1_5_exec-asm.o $<
e2fs_stage1_5_exec-common.o: common.c
e2fs_stage1_5_exec-char_io.o: char_io.c
e2fs_stage1_5_exec-disk_io.o: disk_io.c
e2fs_stage1_5_exec-stage1_5.o: stage1_5.c
e2fs_stage1_5_exec-fsys_ext2fs.o: fsys_ext2fs.c
e2fs_stage1_5_exec-bios.o: bios.c

e2fs_stage1_5.exec: $(e2fs_stage1_5_exec_OBJECTS) $(e2fs_stage1_5_exec_DEPENDENCIES)
	@rm -f e2fs_stage1_5.exec
	$(LINK) $(e2fs_stage1_5_exec_LDFLAGS) $(e2fs_stage1_5_exec_OBJECTS) $(e2fs_stage1_5_exec_LDADD) $(LIBS)
fat_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(fat_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o fat_stage1_5_exec-asm.o $<
fat_stage1_5_exec-common.o: common.c
fat_stage1_5_exec-char_io.o: char_io.c
fat_stage1_5_exec-disk_io.o: disk_io.c
fat_stage1_5_exec-stage1_5.o: stage1_5.c
fat_stage1_5_exec-fsys_fat.o: fsys_fat.c
fat_stage1_5_exec-bios.o: bios.c

fat_stage1_5.exec: $(fat_stage1_5_exec_OBJECTS) $(fat_stage1_5_exec_DEPENDENCIES)
	@rm -f fat_stage1_5.exec
	$(LINK) $(fat_stage1_5_exec_LDFLAGS) $(fat_stage1_5_exec_OBJECTS) $(fat_stage1_5_exec_LDADD) $(LIBS)
ffs_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ffs_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o ffs_stage1_5_exec-asm.o $<
ffs_stage1_5_exec-common.o: common.c
ffs_stage1_5_exec-char_io.o: char_io.c
ffs_stage1_5_exec-disk_io.o: disk_io.c
ffs_stage1_5_exec-stage1_5.o: stage1_5.c
ffs_stage1_5_exec-fsys_ffs.o: fsys_ffs.c
ffs_stage1_5_exec-bios.o: bios.c

ffs_stage1_5.exec: $(ffs_stage1_5_exec_OBJECTS) $(ffs_stage1_5_exec_DEPENDENCIES)
	@rm -f ffs_stage1_5.exec
	$(LINK) $(ffs_stage1_5_exec_LDFLAGS) $(ffs_stage1_5_exec_OBJECTS) $(ffs_stage1_5_exec_LDADD) $(LIBS)
minix_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(minix_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o minix_stage1_5_exec-asm.o $<

=== debian/changelog ===
grub (0.5.93.1) unstable; urgency=low

  * Update to Standards-Version: 3.0.1, mainly for FHS support.
  * Fix definition of ext2_dir_entry. (closes:bug#49017)
  * Fix rules for cross-compiling. (closes:bug#49034)
  * Update synopsis for grub(8). (closes:bug#48991)
  * Don't clear the line when hitting enter in the GRUB shell.
    (closes:bug#48989)

 -- Gordon Matzigkeit <gord@debian.org>  Fri,  5 Nov 1999 22:31:30 -0600

grub (0.5.93) unstable; urgency=low

  * Updated example configurations. (closes:bug#42136)
  * Highlight color set correctly when editing. (closes:bug#42549)
  * dpkg-shlibdeps called on /usr/sbin/grub. (closes:bug#42704)
  * Properly install Texinfo documentation. (closes:bug#42705,bug#42919)
    (closes:bug#43080,bug#45150)
  * Update file locations in README.debian. (closes:bug#42834)
  * Upstream fixes for new binutils assembler syntax. (closes:bug#47946)
  * FAT32 support. (closes:bug#47970)
  * Password option fixed. (closes:bug#43798)
  * Sample menu.lst included in doc directory. (closes:bug#47181)

 -- Gordon Matzigkeit <gord@debian.org>  Sat, 30 Oct 1999 09:59:09 -0600

grub (0.5.92) unstable; urgency=low

  * Data files are now in /usr/lib/grub/$(HWARCH).
  * Unix boot utility available as /usr/sbin/grub.
  * Full Texinfo documentation.

 -- GRUB Maintainers <bug-grub@gnu.org>  Mon, 26 Jul 1999 12:46:37 -0600

grub (0.5.91) unstable; urgency=low

  * Added support for LBA mode and preliminary AWARD/AMI hard disk BIOS
    extensions.
  * GRUB data now installed in /share/grub/$(host_cpu)-$(host_vendor).
  * Preliminary Texinfo documentation.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 14 Mar 1999 20:23:04 -0600

grub (0.5.90) unstable; urgency=low

  * Beta-testing release.
  * GRUB is now officially part of the GNU Project, and the Debian package
    is maintained by its upstream maintainers.
  * LS-120 IDE floppy support should work now (fixes: #33720).

 -- Gordon Matzigkeit <gord@debian.org>  Mon,  1 Mar 1999 12:59:06 -0600

grub (0.5-3) unstable; urgency=low

  * GRUB now understands symbolic links (fixes: #17306).

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 21 Feb 1999 05:13:25 -0600

grub (0.5-2) unstable; urgency=low

  * Assembly source cleanups.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 14 Feb 1999 20:33:39 -0600

grub (0.5-1) unstable; urgency=low

  * Put everything in /lib/grub (not /boot/grub) and don't install during
    postinst so that we can't accidentally wreck a working system.  This
    means the package needn't be experimental anymore.
  * Get rid of grubinst because it doesn't work with 0.5, and I'd rather
    improve GRUB's builtin installation process.
  * Use `e' rather than enter to edit.
  * Minor bug fixes.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 31 Jan 1998 14:11:32 -0600

grub (0.4-2) experimental; urgency=low

  * Make postinstall script
  * Create manpage for grubinst
  * Make grubinst more flexible
  * Address bugs 15227 and 15163 (packaging and clue endowment)

 -- Steve Dunham <dunham@debian.org>  Thu,  1 Jan 1998 00:38:22 -0500

grub (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Steve Dunham <dunham@debian.org>  Wed, 19 Nov 1997 23:42:47 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "gord@debian.org"
End:

=== debian/control ===
Source: grub
Section: base
Priority: extra
Maintainer: GNU GRUB Maintainers <bug-grub@gnu.org>
Standards-Version: 3.0.1

Package: grub
Architecture: i386 hurd-i386
Depends: ${shlibs:Depends}
Description: GRand Unified Bootloader
 GRUB is a GPLed bootloader intended to unify bootloading across x86
 operating systems.  In addition to loading the Linux and *BSD kernels,
 it implements the Multiboot standard, which allows for flexible loading
 of multiple boot images (needed for modular kernels such as the GNU
 Hurd).

=== debian/rules ===
#!/usr/bin/make -f
# -*-makefile-*-
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package:=grub

# For cross-compilation.
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_BUILD_GNU_CPU := $(patsubst hurd-%,%,$(DEB_BUILD_ARCH))
ifeq ($(filter-out hurd-%,$(DEB_BUILD_ARCH)),)
 DEB_BUILD_GNU_SYSTEM := gnu
else
 DEB_BUILD_GNU_SYSTEM := linux
endif
DEB_BUILD_GNU_TYPE := $(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE := $(DEB_BUILD_GNU_TYPE)

INSTALL = install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

build:
	$(checkdir)
	./configure --prefix=/usr \
	  $(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --mandir='$${datadir}/man' --infodir='$${datadir}/info'
	make
	echo timestamp > build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars conftestdir

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
## make dirs
	install -d debian/tmp debian/tmp/usr/share/doc/grub debian/tmp/DEBIAN
## install files

	dir=`cd debian/tmp && pwd` && make install DESTDIR=$$dir
	gzip -f9 debian/tmp/usr/share/info/* debian/tmp/usr/share/man/*/*
	strip -s debian/tmp/usr/sbin/*

	$(INSTALL_DATA)	TODO BUGS NEWS docs/menu.lst \
	  debian/tmp/usr/share/doc/grub/

	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/grub/changelog
	gzip -f9 debian/tmp/usr/share/doc/grub/changelog
	$(INSTALL_DATA) debian/changelog debian/tmp/usr/share/doc/grub/changelog.Debian
	gzip -f9 debian/tmp/usr/share/doc/grub/changelog.Debian
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/grub/
	$(INSTALL_DATA) debian/README.debian debian/tmp/usr/share/doc/grub/

	# Install control files.
	$(INSTALL_PROGRAM) debian/postinst debian/prerm debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/*bin/*
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules -a -f stage2/fsys_ext2fs.c
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## grub 0.97

=== debian/changelog ===
grub (0.97-84) unstable; urgency=medium

  * Move grub-legacy files from src:grub2 to src:grub.
  * d/control: Add Breaks+Replaces grub-pc (<< 2.12-6).

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 09 Feb 2025 15:18:33 +0100

grub (0.97-83) unstable; urgency=medium

  * Make grub-legacy a transistional package depending on grub-pc.
  * Switch section to oldlibs.
  * Update Standards-Version to 4.6.2.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 05 Nov 2024 09:41:06 +0100

grub (0.97-82) unstable; urgency=medium

  * savedefault.patch: Fix incorrect grub_strcpy calls (closes: #1075047).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 14:51:26 +0100

grub (0.97-81) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Use a separate build directory, avoiding problems with the clean target
    (closes: #1044728).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Aug 2023 18:54:02 +0100

grub (0.97-80) unstable; urgency=medium

  * Make convert_to_ascii non-variadic, since GCC 11 seemed to miscompile
    this very dodgy by-hand imitation of va_arg otherwise (closes:
    #1003008).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2022 03:50:34 +0000

grub (0.97-79) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + grub-legacy-doc: Drop versioned constraint on dpkg and install-info in
      Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Colin Watson ]
  * debian/watch: Upgrade to version 4; use HTTPS.
  * Set Rules-Requires-Root: no.
  * Move grub-set-default manual page to section 8.
  * Remove obsolete Lintian overrides.
  * Remove maintainer script code for upgrades from extremely old versions.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 14:00:43 +0000

grub (0.97-78) unstable; urgency=medium

  * Use mktemp rather than tempfile (closes: #992915).

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Aug 2021 15:44:10 +0100

grub (0.97-77) unstable; urgency=medium

  * Remove grub-disk, grub-doc, and multiboot-doc packages.  They've all
    been dummy transitional packages since 2010 or earlier.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Dec 2020 10:15:26 +0000

grub (0.97-76) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove patches fix_amd64_compile.patch that are missing from
    debian/patches/series.
  * Add missing colon in closes line.
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 0.5-1.

  [ Vagrant Cascadian ]
  * Enable reproducible builds by switching to help2man from Debian (closes:
    #961766).

  [ Colin Watson ]
  * Stop texi2html embedding the building user's name in generated
    documentation.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 May 2020 16:12:18 +0100

grub (0.97-75) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Remove obsolete DM-Upload-Allowed field.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Nov 2018 17:50:10 +0000

grub (0.97-74) unstable; urgency=medium

  * Fix segfault when compiled with GCC 7 (thanks, Bernhard Übelacker;
    closes: #898553).
  * Add ext4 support (thanks, Quentin Godfroy and Colin Ian King; closes:
    #511121).
  * Mark all binary packages as Multi-Arch: foreign.
  * Build without ncurses support on amd64, since the multilib packages are
    likely to go away (closes: #848166).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Oct 2018 15:27:17 +0100

grub (0.97-73) unstable; urgency=medium

  * Move transitional packages to Section: oldlibs.
  * Fix more typos in README.Debian.
  * Change Maintainer to pkg-grub-devel@alioth-lists.debian.net, following
    Alioth lists migration.
  * Switch to git; move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 14:29:02 +0100

grub (0.97-72) unstable; urgency=medium

  * Fix typo in README.Debian.
  * Disable PIE for stage1 and stage2.
  * Fix objcopy build-id handling (closes: #837492).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Oct 2016 14:07:58 +0100

grub (0.97-71) unstable; urgency=medium

  * Restrict grub-disk to "Architecture: i386 hurd-i386 amd64" (the same set
    as grub-legacy) rather than "Architecture: all", since its dependency on
    grub-rescue-pc is unsatisfiable on most other architectures.
  * Move remaining upstream changes outside debian/ (a snapshot up to
    2009-07-02) into debian/patches/snapshot.patch.
  * Convert to source format 3.0 (quilt).
  * Drop build compatibility with ancient (at least pre-lenny) dpkg
    versions.
  * Convert to dh(1).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Dec 2015 17:17:43 +0000

grub (0.97-70) unstable; urgency=medium

  * Stop linking statically on amd64, which was a holdover from a long time
    ago when we couldn't just depend on biarch libraries (closes: #769349).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Nov 2014 17:57:54 +0000

grub (0.97-69) unstable; urgency=medium

  * Revert the parts of the CVS sync in 0.97-8 that introduced the GNU FDL,
    restoring the version of the documentation from the 0.97 release that
    was under a simple permissive licence; this undoes a few minor textual
    fixes, but avoids problems with Front-Cover and Back-Cover Texts without
    having to create a separate grub-legacy-doc package in non-free (closes:
    #708946).
  * Build with -fno-combine-stack-adjustments, since that optimisation pass
    confuses the stack games played by GRUB itself (closes: #768135).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2014 12:19:38 +0000

grub (0.97-68) unstable; urgency=low

  * Update Vcs-* fields for Bazaar (closes: #628651).
  * Use 'set -e' rather than '#!/bin/bash -e' in various scripts.


=== debian/control ===
Source: grub
Section: oldlibs
Priority: optional
Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>,
           Felix Zielcke <fzielcke@z-51.de>,
           Colin Watson <cjwatson@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/grub-team/grub-legacy.git
Vcs-Browser: https://salsa.debian.org/grub-team/grub-legacy
Rules-Requires-Root: no

Package: grub-legacy
Architecture: amd64 hurd-i386 i386
Depends: grub-pc (>= 2.12-4),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: grub-pc (<< 2.12-6)
Replaces: grub-pc (<< 2.12-6)
Multi-Arch: foreign
Description: GRand Unified Bootloader - Transistional package
 This is a transitional package, it can be safely removed.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ 

override_dh_auto_configure:

override_dh_auto_build:

execute_after_dh_install:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
ifneq (,$(filter grub-pc,$(BUILD_PACKAGES)))
        patch debian/grub-legacy/usr/lib/grub-legacy/update-grub \
                < debian/legacy/update-grub.ubuntu.patch
endif
endif

execute_after_dh_clean:
	chmod +x debian/upgrade-from-grub-legacy
	chmod +x debian/update-grub

=== debian/watch ===
version=4
https://alpha.gnu.org/gnu/grub/grub-(0.[0-9.]+).tar.gz debian uupdate
